function out = echantillonne(in, K, sens)
//
//    function out = echantillonne(in, K, sens)
//
// si sens = 0: echantillonne l'image "in" dans un rapport K
// si sens = 1: zoome "in" par replication dans un rapport K
//
//

[sx,sy] = size(in);

if sens == 0
	sKx=floor(sx/K);
	sKy=floor(sy/K);
	out = zeros(sKx,sKy);
	for k = 1:K
		for l = 1:K
            out = out + in(k:K:K*sKx,l:K:K*sKy)/(K*K);
		end;
	end;
else
	sKx=sx*K;
	sKy=sy*K;
	out = zeros(sKx,sKy);
	for k = 1:K
		for l = 1:K
            out(k:K:sKx,l:K:sKy) =  in;
		end;
	end;
end

endfunction;

